import Phaser from "phaser";
import {MainScene} from './scenes/MainScene';

export class Game {
    phaserGame: Phaser.Game;
    config: Phaser.Types.Core.GameConfig;

    constructor() {
        this.config = {
            type: Phaser.AUTO,
            height: 600,
            width: 800,
            scene: [ MainScene ],
            parent: 'gameContainer',
            physics: {
                default: 'arcade',
                arcade: {
                    gravity: { y: 100 }
                }
            }
        };
    }

    run() {
        this.phaserGame = new Phaser.Game(this.config);
    }
}

const game = new Game();
game.run();
